<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions: rel_phase_package Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_230.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacerel__phase__package.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">rel_phase_package Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af7c7382d42589edf3b18251a041613bf"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerel__phase__package.html#af7c7382d42589edf3b18251a041613bf">gauss</a> (x, amp, wid)</td></tr>
<tr class="separator:af7c7382d42589edf3b18251a041613bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84c456c236449af1bda2d8448a120bbd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerel__phase__package.html#a84c456c236449af1bda2d8448a120bbd">Pmodel</a> (x, amp, wid, con, freq, phase)</td></tr>
<tr class="separator:a84c456c236449af1bda2d8448a120bbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea0ba4080fc9ce97be54a8ad8e1e97a6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerel__phase__package.html#aea0ba4080fc9ce97be54a8ad8e1e97a6">initial_fit</a> (xdata, ydata, freq_min, bound, plot=1)</td></tr>
<tr class="separator:aea0ba4080fc9ce97be54a8ad8e1e97a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55abe676e9383fa3519e42abc87ea861"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerel__phase__package.html#a55abe676e9383fa3519e42abc87ea861">scatterplot</a> (phases, contrasts)</td></tr>
<tr class="separator:a55abe676e9383fa3519e42abc87ea861"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4352b306f7121ca83277211944d3735"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerel__phase__package.html#ae4352b306f7121ca83277211944d3735">circular_var</a> (phases)</td></tr>
<tr class="separator:ae4352b306f7121ca83277211944d3735"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34e8a22c37de317d38f571b5c74b5168"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerel__phase__package.html#a34e8a22c37de317d38f571b5c74b5168">circular_mean</a> (phases)</td></tr>
<tr class="separator:a34e8a22c37de317d38f571b5c74b5168"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0308a0754055143f4b0090bbe97114a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerel__phase__package.html#ac0308a0754055143f4b0090bbe97114a">fit_plot</a> (mean, var)</td></tr>
<tr class="separator:ac0308a0754055143f4b0090bbe97114a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9c49f1d700eda96603558150b259a43"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerel__phase__package.html#af9c49f1d700eda96603558150b259a43">extract_info</a> (filename, freq_min)</td></tr>
<tr class="separator:af9c49f1d700eda96603558150b259a43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd1b230c5f6ce61841adc06094117552"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerel__phase__package.html#abd1b230c5f6ce61841adc06094117552">plot_phase_histogram</a> (phases, n_bins=15, hist_limits_x=None, hist_limits_y=None)</td></tr>
<tr class="separator:abd1b230c5f6ce61841adc06094117552"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a34e8a22c37de317d38f571b5c74b5168"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34e8a22c37de317d38f571b5c74b5168">&#9670;&nbsp;</a></span>circular_mean()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def rel_phase_package.circular_mean </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>phases</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespacerel__phase__package_a34e8a22c37de317d38f571b5c74b5168_icgraph.png" border="0" usemap="#namespacerel__phase__package_a34e8a22c37de317d38f571b5c74b5168_icgraph" alt=""/></div>
<map name="namespacerel__phase__package_a34e8a22c37de317d38f571b5c74b5168_icgraph" id="namespacerel__phase__package_a34e8a22c37de317d38f571b5c74b5168_icgraph">
<area shape="rect" title=" " alt="" coords="328,5,620,35"/>
<area shape="rect" href="namespacerel__phase__package.html#af9c49f1d700eda96603558150b259a43" title=" " alt="" coords="5,5,280,35"/>
</map>
</div>

</div>
</div>
<a id="ae4352b306f7121ca83277211944d3735"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4352b306f7121ca83277211944d3735">&#9670;&nbsp;</a></span>circular_var()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def rel_phase_package.circular_var </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>phases</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespacerel__phase__package_ae4352b306f7121ca83277211944d3735_icgraph.png" border="0" usemap="#namespacerel__phase__package_ae4352b306f7121ca83277211944d3735_icgraph" alt=""/></div>
<map name="namespacerel__phase__package_ae4352b306f7121ca83277211944d3735_icgraph" id="namespacerel__phase__package_ae4352b306f7121ca83277211944d3735_icgraph">
<area shape="rect" title=" " alt="" coords="328,5,600,35"/>
<area shape="rect" href="namespacerel__phase__package.html#af9c49f1d700eda96603558150b259a43" title=" " alt="" coords="5,5,280,35"/>
</map>
</div>

</div>
</div>
<a id="af9c49f1d700eda96603558150b259a43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9c49f1d700eda96603558150b259a43">&#9670;&nbsp;</a></span>extract_info()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def rel_phase_package.extract_info </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>freq_min</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespacerel__phase__package_af9c49f1d700eda96603558150b259a43_cgraph.png" border="0" usemap="#namespacerel__phase__package_af9c49f1d700eda96603558150b259a43_cgraph" alt=""/></div>
<map name="namespacerel__phase__package_af9c49f1d700eda96603558150b259a43_cgraph" id="namespacerel__phase__package_af9c49f1d700eda96603558150b259a43_cgraph">
<area shape="rect" title=" " alt="" coords="5,85,280,115"/>
<area shape="rect" href="namespacerel__phase__package.html#a34e8a22c37de317d38f571b5c74b5168" title=" " alt="" coords="328,5,620,35"/>
<area shape="rect" href="namespacerel__phase__package.html#ae4352b306f7121ca83277211944d3735" title=" " alt="" coords="338,59,610,88"/>
<area shape="rect" href="namespacerel__phase__package.html#aea0ba4080fc9ce97be54a8ad8e1e97a6" title=" " alt="" coords="351,112,597,141"/>
<area shape="rect" href="namespacerel__phase__package.html#a84c456c236449af1bda2d8448a120bbd" title=" " alt="" coords="355,165,593,195"/>
</map>
</div>

</div>
</div>
<a id="ac0308a0754055143f4b0090bbe97114a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0308a0754055143f4b0090bbe97114a">&#9670;&nbsp;</a></span>fit_plot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def rel_phase_package.fit_plot </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>mean</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>var</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af7c7382d42589edf3b18251a041613bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7c7382d42589edf3b18251a041613bf">&#9670;&nbsp;</a></span>gauss()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def rel_phase_package.gauss </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>amp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>wid</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aea0ba4080fc9ce97be54a8ad8e1e97a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea0ba4080fc9ce97be54a8ad8e1e97a6">&#9670;&nbsp;</a></span>initial_fit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def rel_phase_package.initial_fit </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>xdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ydata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>freq_min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>bound</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>plot</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespacerel__phase__package_aea0ba4080fc9ce97be54a8ad8e1e97a6_icgraph.png" border="0" usemap="#namespacerel__phase__package_aea0ba4080fc9ce97be54a8ad8e1e97a6_icgraph" alt=""/></div>
<map name="namespacerel__phase__package_aea0ba4080fc9ce97be54a8ad8e1e97a6_icgraph" id="namespacerel__phase__package_aea0ba4080fc9ce97be54a8ad8e1e97a6_icgraph">
<area shape="rect" title=" " alt="" coords="328,5,573,35"/>
<area shape="rect" href="namespacerel__phase__package.html#af9c49f1d700eda96603558150b259a43" title=" " alt="" coords="5,5,280,35"/>
</map>
</div>

</div>
</div>
<a id="abd1b230c5f6ce61841adc06094117552"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd1b230c5f6ce61841adc06094117552">&#9670;&nbsp;</a></span>plot_phase_histogram()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def rel_phase_package.plot_phase_histogram </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>phases</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>n_bins</em> = <code>15</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>hist_limits_x</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>hist_limits_y</em> = <code>None</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a84c456c236449af1bda2d8448a120bbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84c456c236449af1bda2d8448a120bbd">&#9670;&nbsp;</a></span>Pmodel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def rel_phase_package.Pmodel </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>amp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>wid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>con</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>freq</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>phase</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="namespacerel__phase__package_a84c456c236449af1bda2d8448a120bbd_icgraph.png" border="0" usemap="#namespacerel__phase__package_a84c456c236449af1bda2d8448a120bbd_icgraph" alt=""/></div>
<map name="namespacerel__phase__package_a84c456c236449af1bda2d8448a120bbd_icgraph" id="namespacerel__phase__package_a84c456c236449af1bda2d8448a120bbd_icgraph">
<area shape="rect" title=" " alt="" coords="328,5,567,35"/>
<area shape="rect" href="namespacerel__phase__package.html#af9c49f1d700eda96603558150b259a43" title=" " alt="" coords="5,5,280,35"/>
</map>
</div>

</div>
</div>
<a id="a55abe676e9383fa3519e42abc87ea861"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55abe676e9383fa3519e42abc87ea861">&#9670;&nbsp;</a></span>scatterplot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def rel_phase_package.scatterplot </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>phases</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>contrasts</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacerel__phase__package.html">rel_phase_package</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
